#include <iostream>
#include <bits/stdc++.h>
#include <chrono>

using namespace std;

int main(int argc, char** argv) {
	int n, k;
	scanf("%d%d",&n,&k);
	int niz[n];
	for(int i = 0; i < n; i++) {
		scanf("%d",&niz[i]);
	}
	for(int i = 0; i < n; i++){
		if(niz[i] == k && i < n-1) printf("%d",niz[i+1]);
		else if(niz[i]==k) printf("%d",niz[0]);
	}
	return 0;
}